package com.ruoyi.demo.controller;

import cn.dev33.satoken.annotation.SaIgnore;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.validate.EditGroup;
import com.ruoyi.demo.entity.SystemSetter;
import com.ruoyi.demo.entity.vo.SystemSetterVo;
import com.ruoyi.demo.service.SystemSetterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/system")
public class SystemSetterController {
    @Autowired
    SystemSetterService systemSetterService;

    /**
     * 获取广告轮询、曝光系统设置
     * @return
     */
    @SaIgnore
    @GetMapping("/getSystemSetter")
    public R getSystemSetter(){
        SystemSetter systemSetter = systemSetterService.getSystemSetter();
        return R.ok(systemSetter);
    }

    /**
     * 修改广告轮询、曝光系统设置
     * @param systemSetterVo 广告轮询、曝光系统设置信息接收体
     * @return
     */
    @SaIgnore
    @PutMapping("/updateSystemSetter")
    public R updateSystemSetter(@RequestBody @Validated(value = {EditGroup.class}) SystemSetterVo systemSetterVo){
        systemSetterService.updateSystemSetter(systemSetterVo);
        return R.ok();
    }
}
