package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.Plan;
import com.ruoyi.demo.utils.OnStateUtil;
import lombok.Data;

import java.util.Date;
import java.util.List;

// 广告计划明细
@Data
public class PlanDetailVo {
    private String planId;
    private String planName;
    private String goodsName;
    private String goodsImg;
    private String goodsLogo;
    private String appName;
    private String principalName;
    private String principalTelephone;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planCreateTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planEndTime;
    private String onState;
    private List<PlanItemVo> planItems;

    public PlanDetailVo(){}
    public PlanDetailVo(Plan plan, List<PlanItemVo> itemVos){
        this.planId = plan.getPlanId();
        this.planName = plan.getPlanName();
        this.goodsName = plan.getGoodsName();
        this.goodsImg = plan.getGoodsImg();
        this.goodsLogo = plan.getGoodsLogo();
        this.appName = plan.getAppName();
        this.principalName = plan.getPrincipalName();
        this.principalTelephone = plan.getPrincipalTelephone();
        this.planCreateTime = plan.getPlanCreateTime();
        this.planStartTime = plan.getPlanStartTime();
        this.planEndTime = plan.getPlanEndTime();
        this.onState = OnStateUtil.getOnStateChar(plan.getOnState());
        this.planItems = itemVos;
    }
}
